[arch-commits] Commit in inn/repos (20 files)

Bartłomiej Piotrowski bpiotrowski at nymeria.archlinux.org
Sat May 11 08:37:09 EDT 2013


    Date: Saturday, May 11, 2013 @ 14:37:09
  Author: bpiotrowski
Revision: 90314

archrelease: copy trunk to community-staging-i686, community-staging-x86_64

Added:
  inn/repos/community-staging-i686/
  inn/repos/community-staging-i686/PKGBUILD
    (from rev 90313, inn/trunk/PKGBUILD)
  inn/repos/community-staging-i686/inn.install
    (from rev 90313, inn/trunk/inn.install)
  inn/repos/community-staging-i686/inn.tmpfiles
    (from rev 90313, inn/trunk/inn.tmpfiles)
  inn/repos/community-staging-i686/innd.conf
    (from rev 90313, inn/trunk/innd.conf)
  inn/repos/community-staging-i686/innd.rc
    (from rev 90313, inn/trunk/innd.rc)
  inn/repos/community-staging-i686/innd.service
    (from rev 90313, inn/trunk/innd.service)
  inn/repos/community-staging-i686/nnrpd.conf
    (from rev 90313, inn/trunk/nnrpd.conf)
  inn/repos/community-staging-i686/nnrpd.rc
    (from rev 90313, inn/trunk/nnrpd.rc)
  inn/repos/community-staging-i686/site.make.patch
    (from rev 90313, inn/trunk/site.make.patch)
  inn/repos/community-staging-x86_64/
  inn/repos/community-staging-x86_64/PKGBUILD
    (from rev 90313, inn/trunk/PKGBUILD)
  inn/repos/community-staging-x86_64/inn.install
    (from rev 90313, inn/trunk/inn.install)
  inn/repos/community-staging-x86_64/inn.tmpfiles
    (from rev 90313, inn/trunk/inn.tmpfiles)
  inn/repos/community-staging-x86_64/innd.conf
    (from rev 90313, inn/trunk/innd.conf)
  inn/repos/community-staging-x86_64/innd.rc
    (from rev 90313, inn/trunk/innd.rc)
  inn/repos/community-staging-x86_64/innd.service
    (from rev 90313, inn/trunk/innd.service)
  inn/repos/community-staging-x86_64/nnrpd.conf
    (from rev 90313, inn/trunk/nnrpd.conf)
  inn/repos/community-staging-x86_64/nnrpd.rc
    (from rev 90313, inn/trunk/nnrpd.rc)
  inn/repos/community-staging-x86_64/site.make.patch
    (from rev 90313, inn/trunk/site.make.patch)

------------------------------------------+
 community-staging-i686/PKGBUILD          |  138 +++++++++++++++++++++++++++++
 community-staging-i686/inn.install       |   22 ++++
 community-staging-i686/inn.tmpfiles      |    1 
 community-staging-i686/innd.conf         |    2 
 community-staging-i686/innd.rc           |   47 +++++++++
 community-staging-i686/innd.service      |   16 +++
 community-staging-i686/nnrpd.conf        |    3 
 community-staging-i686/nnrpd.rc          |   49 ++++++++++
 community-staging-i686/site.make.patch   |   32 ++++++
 community-staging-x86_64/PKGBUILD        |  138 +++++++++++++++++++++++++++++
 community-staging-x86_64/inn.install     |   22 ++++
 community-staging-x86_64/inn.tmpfiles    |    1 
 community-staging-x86_64/innd.conf       |    2 
 community-staging-x86_64/innd.rc         |   47 +++++++++
 community-staging-x86_64/innd.service    |   16 +++
 community-staging-x86_64/nnrpd.conf      |    3 
 community-staging-x86_64/nnrpd.rc        |   49 ++++++++++
 community-staging-x86_64/site.make.patch |   32 ++++++
 18 files changed, 620 insertions(+)

Copied: inn/repos/community-staging-i686/PKGBUILD (from rev 90313, inn/trunk/PKGBUILD)
===================================================================
--- community-staging-i686/PKGBUILD	                        (rev 0)
+++ community-staging-i686/PKGBUILD	2013-05-11 12:37:09 UTC (rev 90314)
@@ -0,0 +1,138 @@
+# $Id$
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Maintainer: Edward Tjörnhammar <xhemi at cube2.se>
+# Contributor: Edward Tjörnhammar <xhemi at cube2.se>
+
+pkgname=inn
+pkgver=2.5.3
+pkgrel=3
+pkgdesc="Complete open source Usenet system. De facto standard for handling news routing, news spool and serving the spool to customers."
+url="http://www.isc.org/software/inn/"
+arch=('i686' 'x86_64')
+license=("custom:INN")
+depends=('openssl' 'dovecot')
+makedepends=('make' 'bison' 'python2' 'gcc' 'smtp-forwarder' 'libsasl')
+optdepends=('perl' 'python2' 'libsasl')
+options=(emptydirs docs zipman)
+install=inn.install
+backup=(etc/inn/newsfeeds
+	etc/inn/incoming.conf
+	etc/inn/nnrpd.track
+	etc/inn/passwd.nntp
+	etc/inn/inn.conf
+	etc/inn/moderators
+	etc/inn/control.ctl
+	etc/inn/expire.ctl
+	etc/inn/nntpsend.ctl
+	etc/inn/innreport.conf
+	etc/inn/innwatch.ctl
+	etc/inn/distrib.pats
+	etc/inn/actsync.cfg
+	etc/inn/actsync.ign
+	etc/inn/motd.news
+	etc/inn/storage.conf
+	etc/inn/cycbuff.conf
+	etc/inn/buffindexed.conf
+	etc/inn/innfeed.conf
+	etc/inn/news2mail.cf
+	etc/inn/readers.conf
+	etc/inn/radius.conf
+	etc/inn/ovdb.conf
+	etc/inn/subscriptions
+	var/db/inn/active
+	var/db/inn/active.times
+	var/db/inn/history
+	var/db/inn/history.dir
+	var/db/inn/history.hash
+	var/db/inn/history.index
+	var/db/inn/newsgroups)
+source=(http://ftp.isc.org/isc/inn/inn-$pkgver.tar.gz
+	innd.rc
+	nnrpd.rc
+	innd.conf
+	nnrpd.conf
+	innd.service
+	inn.tmpfiles
+	site.make.patch)
+md5sums=('353fe95232828ddbc80debff86c240bc'
+         'a243d9498568f1beee20da5684b5fbfc'
+         'a0b1ff8501ac8a31ce81a2f9c9b4bac9'
+         'fbf1d2c5b3c5a08ae3e515c71c2e2e4a'
+         'bb4bbe86ae52fbbf08b0f6f370dea052'
+         '9da925a486fcf0cd67fdf462cbb9c0b4'
+         '050b7bffff3361c673a118739e42349e'
+         '960c800026ed6e03901cf0bafdfd53d8')
+
+build() {
+  cd $srcdir/inn-$pkgver
+
+  [ $NOEXTRACT -eq 1 ] || PYTHON=/usr/bin/python2 ./configure --prefix=/usr \
+	--includedir=/usr/include/inn \
+	--sbindir=/usr/sbin \
+	--with-libtool \
+	--with-gnu-id \
+	--with-db-dir=/var/db/inn \
+	--sysconfdir=/etc/inn \
+	--with-spool-dir=/var/spool/news \
+	--with-log-dir=/var/log/inn \
+	--with-run-dir=/var/run/inn \
+	--with-tmp-dir=/var/spool/inn/tmp \
+	--enable-largefiles \
+	--with-openssl=/usr \
+	--with-perl \
+	--with-python \
+	--with-sendmail=/usr/bin/msmtp \
+	--with-sasl=/usr \
+	--with-news-user=9 \
+	--with-news-group=13
+  # See https://wiki.archlinux.org/index.php/DeveloperWiki:UID_/_GID_Database
+
+  test -f include/config.h
+  cat >>include/config.h <<EOF
+#undef RUNASUSER
+#define RUNASUSER "news"
+#undef RUNASGROUP
+#define RUNASGROUP "news"
+EOF
+  sed -i 's|-export-dynamic gnu|-export-dynamic|' Makefile.global
+  [ $NOEXTRACT -eq 1 ] || patch -p3 < $srcdir/site.make.patch
+
+  make
+}
+
+package() {
+  cd $srcdir/inn-$pkgver
+  export LD_LIBRARY_PATH=.:$pkgdir/usr/lib:$LD_LIBRARY_PATH
+
+  make DESTDIR=$pkgdir install
+
+  mkdir -p $pkgdir/etc/{conf,rc}.d
+  install -m0755 $srcdir/innd.rc $pkgdir/etc/rc.d/innd
+  install -m0644 $srcdir/innd.conf $pkgdir/etc/conf.d/innd
+
+  install -m0755 $srcdir/nnrpd.rc $pkgdir/etc/rc.d/nnrpd
+  install -m0644 $srcdir/nnrpd.conf $pkgdir/etc/conf.d/nnrpd
+
+  cd $pkgdir/usr/lib
+  for i in lib*.a; do
+	gcc -shared -o ${i%%.a}.so.2.0.0 $i
+	for j in 2.0 2; do
+	    ln -s ${i%%a}so.2.0.0 ${i%%a}so.$j
+	done
+  done
+
+  touch $pkgdir/var/db/inn/history{.dir,.hash,.index,}
+
+  mkdir -p $pkgdir/usr/share/doc/inn $pkgdir/usr/share/inn/
+  mv $pkgdir/usr/share/man/man3/list.3 $pkgdir/usr/share/man/man3/list-inn.3
+  mv $pkgdir/usr/doc/* $pkgdir/usr/share/doc/inn/
+  mv $pkgdir/usr/http/* $pkgdir/usr/share/inn/
+  mv $pkgdir/usr/bin/archive $pkgdir/usr/bin/archive.inn
+  rm -rf $pkgdir/usr/doc $pkgdir/usr/http $pkgdir/var/run
+  install -D -m0644 $srcdir/inn-$pkgver/LICENSE $pkgdir/usr/share/licenses/inn/LICENSE
+  chown root:root $pkgdir/usr/bin/innbind
+  chmod 05555 $pkgdir/usr/bin/innbind
+
+  install -Dm0644 $srcdir/innd.service $pkgdir/usr/lib/systemd/system/innd.service
+  install -Dm0644 $srcdir/inn.tmpfiles $pkgdir/usr/lib/tmpfiles.d/inn.conf
+}

Copied: inn/repos/community-staging-i686/inn.install (from rev 90313, inn/trunk/inn.install)
===================================================================
--- community-staging-i686/inn.install	                        (rev 0)
+++ community-staging-i686/inn.install	2013-05-11 12:37:09 UTC (rev 90314)
@@ -0,0 +1,22 @@
+post_install() {
+	grep -e "^news:" /etc/group 2>&- >&- || groupadd -g 13 -r news 2>&- >&-
+	grep -e "^news:" /etc/passwd 2>&- >&- || useradd -u 9 -r -m -g news news 2>&- >&-
+
+	/usr/bin/makedbz -i -o 2>&- >&-
+	mkdir /var/log/news 2>&- >&-
+
+	chown news:news -R var/spool/news 2>&- >&-
+	chown news:news var/log/news 2>&- >&-
+	chown news:news -R var/db/inn 2>&- >&-
+
+	echo ""
+	echo "->"
+	echo "-> If this is a first-time installation, a minimal active file and"
+	echo "-> history database have been installed.  Do not forget to update"
+	echo "-> your cron entries and configure INN.  See INSTALL for more"
+	echo "-> information."
+	echo "->"
+	echo "-> The default user:group for inn is news:news"
+	echo "->"
+	echo ""
+}

Copied: inn/repos/community-staging-i686/inn.tmpfiles (from rev 90313, inn/trunk/inn.tmpfiles)
===================================================================
--- community-staging-i686/inn.tmpfiles	                        (rev 0)
+++ community-staging-i686/inn.tmpfiles	2013-05-11 12:37:09 UTC (rev 90314)
@@ -0,0 +1 @@
+d /run/inn 0755 news news -

Copied: inn/repos/community-staging-i686/innd.conf (from rev 90313, inn/trunk/innd.conf)
===================================================================
--- community-staging-i686/innd.conf	                        (rev 0)
+++ community-staging-i686/innd.conf	2013-05-11 12:37:09 UTC (rev 90314)
@@ -0,0 +1,2 @@
+NEWS_USER=news
+NEWS_GROUP=news

Copied: inn/repos/community-staging-i686/innd.rc (from rev 90313, inn/trunk/innd.rc)
===================================================================
--- community-staging-i686/innd.rc	                        (rev 0)
+++ community-staging-i686/innd.rc	2013-05-11 12:37:09 UTC (rev 90314)
@@ -0,0 +1,47 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+[ -f /etc/conf.d/innd ] && . /etc/conf.d/innd
+[ -z "$NEWS_USER" ] && print "Please set news username" && exit 1;
+[ -z "$NEWS_GROUP" ] && print "Please set news groupname" && exit 1;
+
+case "$1" in
+	start)
+		stat_busy "Starting InterNetNews"
+		[ -d /var/run/inn ] || {
+			mkdir -p /var/run/inn
+			chown -R $NEWS_USER:$NEWS_GROUP /var/run/inn
+		}
+		su $NEWS_USER -c /usr/bin/rc.news 2>&- >&-
+		if [ $? -gt 0 ]; then
+			stat_fail
+		else
+			echo $! > /var/run/innd.pid
+			add_daemon innd
+			stat_done
+		fi
+
+	;;
+	stop)
+		stat_busy "Stopping InterNetNews"
+		ctlinnd throttle "shutting down" 2>&- >&-
+		su $NEWS_USER -c /usr/bin/rc.news stop 2>&- >&-
+		if [ $? -gt 0 ]; then
+			stat_fail
+		else
+			kill `ps faxu| grep ^$NEWS_USER | awk -- '{print $2}'` 2>&- >&-
+			rm /var/run/innd.pid
+			rm_daemon innd
+			stat_done
+		fi
+	;;
+	restart)
+		$0 stop
+		sleep 1
+		$0 start
+	;;
+	*)
+		echo "usage: $0 {start|stop|restart}"
+esac
+exit 0

Copied: inn/repos/community-staging-i686/innd.service (from rev 90313, inn/trunk/innd.service)
===================================================================
--- community-staging-i686/innd.service	                        (rev 0)
+++ community-staging-i686/innd.service	2013-05-11 12:37:09 UTC (rev 90314)
@@ -0,0 +1,16 @@
+[Unit]
+Description=Inetnet News Daemon
+After=syslog.target network.target
+ConditionPathExists=/etc/inn/inn.conf
+
+[Service]
+User=news
+PermissionsStartOnly=true
+PIDFile=/run/inn/innd.pid
+Type=forking
+ExecStart=/usr/bin/rc.news
+ExecStop=/bin/su -m news -c '/usr/bin/rc.news stop'
+KillMode=control-group
+
+[Install]
+WantedBy=multi-user.target

Copied: inn/repos/community-staging-i686/nnrpd.conf (from rev 90313, inn/trunk/nnrpd.conf)
===================================================================
--- community-staging-i686/nnrpd.conf	                        (rev 0)
+++ community-staging-i686/nnrpd.conf	2013-05-11 12:37:09 UTC (rev 90314)
@@ -0,0 +1,3 @@
+USE_SSL=1
+LISTEN_PORT=563
+NNRPD_OPTS="-D -S -p $LISTEN_PORT -c /etc/inn/readers.conf"

Copied: inn/repos/community-staging-i686/nnrpd.rc (from rev 90313, inn/trunk/nnrpd.rc)
===================================================================
--- community-staging-i686/nnrpd.rc	                        (rev 0)
+++ community-staging-i686/nnrpd.rc	2013-05-11 12:37:09 UTC (rev 90314)
@@ -0,0 +1,49 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+[ -f /etc/conf.d/nnrpd ] && . /etc/conf.d/nnrpd
+[ -z "$NNRPD_OPTS" ] && print "FATAL: No arguments where passed" && exit 1;
+
+PID=`pidof -o %PPID nnrpd`
+case "$1" in
+	start)
+		stat_busy "Starting InterNetNews Readers Daemon"
+		if [ ! -f /var/run/nnrpd.pid ]; then
+			stat_append ":: InterNetNews (innd) is not running"
+			stat_fail
+			exit 1
+		fi
+		
+		[ -d /var/run/inn ] || mkdir -p /var/run/inn
+		[ -z "$PID" ] && nnrpd $NNRPD_OPTS 2>&- >&-
+		if [ $? -gt 0 ]; then
+			stat_fail
+		else
+			PID=`pidof -o %PPID nnrpd`
+			echo $PID > /var/run/nnrpd.pid
+			add_daemon nnrpd
+			stat_done
+		fi
+
+	;;
+	stop)
+		stat_busy "Stopping InterNetNews Readers Daemon"
+		[ ! -z "$PID" ] && kill $PID >&-
+		if [ $? -gt 0 ]; then
+			stat_fail
+		else
+			rm /var/run/nnrpd.pid
+			rm_daemon nnrpd
+			stat_done
+		fi
+	;;
+	restart)
+		$0 stop
+		sleep 1
+		$0 start
+	;;
+	*)
+		echo "usage: $0 {start|stop|restart}"
+esac
+exit 0

Copied: inn/repos/community-staging-i686/site.make.patch (from rev 90313, inn/trunk/site.make.patch)
===================================================================
--- community-staging-i686/site.make.patch	                        (rev 0)
+++ community-staging-i686/site.make.patch	2013-05-11 12:37:09 UTC (rev 90314)
@@ -0,0 +1,32 @@
+--- old/src/inn-2.4.5/site/Makefile 2008-06-29 19:56:57.000000000 +0200
++++ new/src/inn-2.4.5/site/Makefile 2008-10-09 19:27:59.613208825 +0200
+@@ -52,7 +52,6 @@
+ 
+ PATH_ACTIVE		= ${PATHDB}/active
+ PATH_ACTIVE_TIMES	= ${PATHDB}/active.times
+-PATH_HISTORY		= ${PATHDB}/history
+ PATH_NEWSGROUPS		= ${PATHDB}/newsgroups
+ 
+ ##  Scripts from above, plus site-specific config files.
+@@ -98,7 +97,7 @@
+ ALL_INSTALLED	= $(MOST_INSTALLED) $(REST_INSTALLED)
+ 
+ SPECIAL		= $D$(PATH_ACTIVE) $D$(PATH_ACTIVE_TIMES) \
+-		$D$(PATH_NEWSGROUPS) $D$(PATH_HISTORY)
++		$D$(PATH_NEWSGROUPS)
+ 
+ ##  Get new versions of everything from samples directory.
+ all:		$(ALL) config
+@@ -143,12 +142,6 @@
+ 	chown $(RUNASUSER) $@
+ 	chgrp $(RUNASGROUP) $@
+ 	chmod $(FILEMODE) $@
+-$D$(PATH_HISTORY):
+-	touch $@
+-	chown $(RUNASUSER) $@
+-	chgrp $(RUNASGROUP) $@
+-	chmod $(FILEMODE) $@
+-	test -z "$D" && $(PATHBIN)/makedbz -i -o
+ 
+ bootstrap:
+ 

Copied: inn/repos/community-staging-x86_64/PKGBUILD (from rev 90313, inn/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2013-05-11 12:37:09 UTC (rev 90314)
@@ -0,0 +1,138 @@
+# $Id$
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Maintainer: Edward Tjörnhammar <xhemi at cube2.se>
+# Contributor: Edward Tjörnhammar <xhemi at cube2.se>
+
+pkgname=inn
+pkgver=2.5.3
+pkgrel=3
+pkgdesc="Complete open source Usenet system. De facto standard for handling news routing, news spool and serving the spool to customers."
+url="http://www.isc.org/software/inn/"
+arch=('i686' 'x86_64')
+license=("custom:INN")
+depends=('openssl' 'dovecot')
+makedepends=('make' 'bison' 'python2' 'gcc' 'smtp-forwarder' 'libsasl')
+optdepends=('perl' 'python2' 'libsasl')
+options=(emptydirs docs zipman)
+install=inn.install
+backup=(etc/inn/newsfeeds
+	etc/inn/incoming.conf
+	etc/inn/nnrpd.track
+	etc/inn/passwd.nntp
+	etc/inn/inn.conf
+	etc/inn/moderators
+	etc/inn/control.ctl
+	etc/inn/expire.ctl
+	etc/inn/nntpsend.ctl
+	etc/inn/innreport.conf
+	etc/inn/innwatch.ctl
+	etc/inn/distrib.pats
+	etc/inn/actsync.cfg
+	etc/inn/actsync.ign
+	etc/inn/motd.news
+	etc/inn/storage.conf
+	etc/inn/cycbuff.conf
+	etc/inn/buffindexed.conf
+	etc/inn/innfeed.conf
+	etc/inn/news2mail.cf
+	etc/inn/readers.conf
+	etc/inn/radius.conf
+	etc/inn/ovdb.conf
+	etc/inn/subscriptions
+	var/db/inn/active
+	var/db/inn/active.times
+	var/db/inn/history
+	var/db/inn/history.dir
+	var/db/inn/history.hash
+	var/db/inn/history.index
+	var/db/inn/newsgroups)
+source=(http://ftp.isc.org/isc/inn/inn-$pkgver.tar.gz
+	innd.rc
+	nnrpd.rc
+	innd.conf
+	nnrpd.conf
+	innd.service
+	inn.tmpfiles
+	site.make.patch)
+md5sums=('353fe95232828ddbc80debff86c240bc'
+         'a243d9498568f1beee20da5684b5fbfc'
+         'a0b1ff8501ac8a31ce81a2f9c9b4bac9'
+         'fbf1d2c5b3c5a08ae3e515c71c2e2e4a'
+         'bb4bbe86ae52fbbf08b0f6f370dea052'
+         '9da925a486fcf0cd67fdf462cbb9c0b4'
+         '050b7bffff3361c673a118739e42349e'
+         '960c800026ed6e03901cf0bafdfd53d8')
+
+build() {
+  cd $srcdir/inn-$pkgver
+
+  [ $NOEXTRACT -eq 1 ] || PYTHON=/usr/bin/python2 ./configure --prefix=/usr \
+	--includedir=/usr/include/inn \
+	--sbindir=/usr/sbin \
+	--with-libtool \
+	--with-gnu-id \
+	--with-db-dir=/var/db/inn \
+	--sysconfdir=/etc/inn \
+	--with-spool-dir=/var/spool/news \
+	--with-log-dir=/var/log/inn \
+	--with-run-dir=/var/run/inn \
+	--with-tmp-dir=/var/spool/inn/tmp \
+	--enable-largefiles \
+	--with-openssl=/usr \
+	--with-perl \
+	--with-python \
+	--with-sendmail=/usr/bin/msmtp \
+	--with-sasl=/usr \
+	--with-news-user=9 \
+	--with-news-group=13
+  # See https://wiki.archlinux.org/index.php/DeveloperWiki:UID_/_GID_Database
+
+  test -f include/config.h
+  cat >>include/config.h <<EOF
+#undef RUNASUSER
+#define RUNASUSER "news"
+#undef RUNASGROUP
+#define RUNASGROUP "news"
+EOF
+  sed -i 's|-export-dynamic gnu|-export-dynamic|' Makefile.global
+  [ $NOEXTRACT -eq 1 ] || patch -p3 < $srcdir/site.make.patch
+
+  make
+}
+
+package() {
+  cd $srcdir/inn-$pkgver
+  export LD_LIBRARY_PATH=.:$pkgdir/usr/lib:$LD_LIBRARY_PATH
+
+  make DESTDIR=$pkgdir install
+
+  mkdir -p $pkgdir/etc/{conf,rc}.d
+  install -m0755 $srcdir/innd.rc $pkgdir/etc/rc.d/innd
+  install -m0644 $srcdir/innd.conf $pkgdir/etc/conf.d/innd
+
+  install -m0755 $srcdir/nnrpd.rc $pkgdir/etc/rc.d/nnrpd
+  install -m0644 $srcdir/nnrpd.conf $pkgdir/etc/conf.d/nnrpd
+
+  cd $pkgdir/usr/lib
+  for i in lib*.a; do
+	gcc -shared -o ${i%%.a}.so.2.0.0 $i
+	for j in 2.0 2; do
+	    ln -s ${i%%a}so.2.0.0 ${i%%a}so.$j
+	done
+  done
+
+  touch $pkgdir/var/db/inn/history{.dir,.hash,.index,}
+
+  mkdir -p $pkgdir/usr/share/doc/inn $pkgdir/usr/share/inn/
+  mv $pkgdir/usr/share/man/man3/list.3 $pkgdir/usr/share/man/man3/list-inn.3
+  mv $pkgdir/usr/doc/* $pkgdir/usr/share/doc/inn/
+  mv $pkgdir/usr/http/* $pkgdir/usr/share/inn/
+  mv $pkgdir/usr/bin/archive $pkgdir/usr/bin/archive.inn
+  rm -rf $pkgdir/usr/doc $pkgdir/usr/http $pkgdir/var/run
+  install -D -m0644 $srcdir/inn-$pkgver/LICENSE $pkgdir/usr/share/licenses/inn/LICENSE
+  chown root:root $pkgdir/usr/bin/innbind
+  chmod 05555 $pkgdir/usr/bin/innbind
+
+  install -Dm0644 $srcdir/innd.service $pkgdir/usr/lib/systemd/system/innd.service
+  install -Dm0644 $srcdir/inn.tmpfiles $pkgdir/usr/lib/tmpfiles.d/inn.conf
+}

Copied: inn/repos/community-staging-x86_64/inn.install (from rev 90313, inn/trunk/inn.install)
===================================================================
--- community-staging-x86_64/inn.install	                        (rev 0)
+++ community-staging-x86_64/inn.install	2013-05-11 12:37:09 UTC (rev 90314)
@@ -0,0 +1,22 @@
+post_install() {
+	grep -e "^news:" /etc/group 2>&- >&- || groupadd -g 13 -r news 2>&- >&-
+	grep -e "^news:" /etc/passwd 2>&- >&- || useradd -u 9 -r -m -g news news 2>&- >&-
+
+	/usr/bin/makedbz -i -o 2>&- >&-
+	mkdir /var/log/news 2>&- >&-
+
+	chown news:news -R var/spool/news 2>&- >&-
+	chown news:news var/log/news 2>&- >&-
+	chown news:news -R var/db/inn 2>&- >&-
+
+	echo ""
+	echo "->"
+	echo "-> If this is a first-time installation, a minimal active file and"
+	echo "-> history database have been installed.  Do not forget to update"
+	echo "-> your cron entries and configure INN.  See INSTALL for more"
+	echo "-> information."
+	echo "->"
+	echo "-> The default user:group for inn is news:news"
+	echo "->"
+	echo ""
+}

Copied: inn/repos/community-staging-x86_64/inn.tmpfiles (from rev 90313, inn/trunk/inn.tmpfiles)
===================================================================
--- community-staging-x86_64/inn.tmpfiles	                        (rev 0)
+++ community-staging-x86_64/inn.tmpfiles	2013-05-11 12:37:09 UTC (rev 90314)
@@ -0,0 +1 @@
+d /run/inn 0755 news news -

Copied: inn/repos/community-staging-x86_64/innd.conf (from rev 90313, inn/trunk/innd.conf)
===================================================================
--- community-staging-x86_64/innd.conf	                        (rev 0)
+++ community-staging-x86_64/innd.conf	2013-05-11 12:37:09 UTC (rev 90314)
@@ -0,0 +1,2 @@
+NEWS_USER=news
+NEWS_GROUP=news

Copied: inn/repos/community-staging-x86_64/innd.rc (from rev 90313, inn/trunk/innd.rc)
===================================================================
--- community-staging-x86_64/innd.rc	                        (rev 0)
+++ community-staging-x86_64/innd.rc	2013-05-11 12:37:09 UTC (rev 90314)
@@ -0,0 +1,47 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+[ -f /etc/conf.d/innd ] && . /etc/conf.d/innd
+[ -z "$NEWS_USER" ] && print "Please set news username" && exit 1;
+[ -z "$NEWS_GROUP" ] && print "Please set news groupname" && exit 1;
+
+case "$1" in
+	start)
+		stat_busy "Starting InterNetNews"
+		[ -d /var/run/inn ] || {
+			mkdir -p /var/run/inn
+			chown -R $NEWS_USER:$NEWS_GROUP /var/run/inn
+		}
+		su $NEWS_USER -c /usr/bin/rc.news 2>&- >&-
+		if [ $? -gt 0 ]; then
+			stat_fail
+		else
+			echo $! > /var/run/innd.pid
+			add_daemon innd
+			stat_done
+		fi
+
+	;;
+	stop)
+		stat_busy "Stopping InterNetNews"
+		ctlinnd throttle "shutting down" 2>&- >&-
+		su $NEWS_USER -c /usr/bin/rc.news stop 2>&- >&-
+		if [ $? -gt 0 ]; then
+			stat_fail
+		else
+			kill `ps faxu| grep ^$NEWS_USER | awk -- '{print $2}'` 2>&- >&-
+			rm /var/run/innd.pid
+			rm_daemon innd
+			stat_done
+		fi
+	;;
+	restart)
+		$0 stop
+		sleep 1
+		$0 start
+	;;
+	*)
+		echo "usage: $0 {start|stop|restart}"
+esac
+exit 0

Copied: inn/repos/community-staging-x86_64/innd.service (from rev 90313, inn/trunk/innd.service)
===================================================================
--- community-staging-x86_64/innd.service	                        (rev 0)
+++ community-staging-x86_64/innd.service	2013-05-11 12:37:09 UTC (rev 90314)
@@ -0,0 +1,16 @@
+[Unit]
+Description=Inetnet News Daemon
+After=syslog.target network.target
+ConditionPathExists=/etc/inn/inn.conf
+
+[Service]
+User=news
+PermissionsStartOnly=true
+PIDFile=/run/inn/innd.pid
+Type=forking
+ExecStart=/usr/bin/rc.news
+ExecStop=/bin/su -m news -c '/usr/bin/rc.news stop'
+KillMode=control-group
+
+[Install]
+WantedBy=multi-user.target

Copied: inn/repos/community-staging-x86_64/nnrpd.conf (from rev 90313, inn/trunk/nnrpd.conf)
===================================================================
--- community-staging-x86_64/nnrpd.conf	                        (rev 0)
+++ community-staging-x86_64/nnrpd.conf	2013-05-11 12:37:09 UTC (rev 90314)
@@ -0,0 +1,3 @@
+USE_SSL=1
+LISTEN_PORT=563
+NNRPD_OPTS="-D -S -p $LISTEN_PORT -c /etc/inn/readers.conf"

Copied: inn/repos/community-staging-x86_64/nnrpd.rc (from rev 90313, inn/trunk/nnrpd.rc)
===================================================================
--- community-staging-x86_64/nnrpd.rc	                        (rev 0)
+++ community-staging-x86_64/nnrpd.rc	2013-05-11 12:37:09 UTC (rev 90314)
@@ -0,0 +1,49 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+[ -f /etc/conf.d/nnrpd ] && . /etc/conf.d/nnrpd
+[ -z "$NNRPD_OPTS" ] && print "FATAL: No arguments where passed" && exit 1;
+
+PID=`pidof -o %PPID nnrpd`
+case "$1" in
+	start)
+		stat_busy "Starting InterNetNews Readers Daemon"
+		if [ ! -f /var/run/nnrpd.pid ]; then
+			stat_append ":: InterNetNews (innd) is not running"
+			stat_fail
+			exit 1
+		fi
+		
+		[ -d /var/run/inn ] || mkdir -p /var/run/inn
+		[ -z "$PID" ] && nnrpd $NNRPD_OPTS 2>&- >&-
+		if [ $? -gt 0 ]; then
+			stat_fail
+		else
+			PID=`pidof -o %PPID nnrpd`
+			echo $PID > /var/run/nnrpd.pid
+			add_daemon nnrpd
+			stat_done
+		fi
+
+	;;
+	stop)
+		stat_busy "Stopping InterNetNews Readers Daemon"
+		[ ! -z "$PID" ] && kill $PID >&-
+		if [ $? -gt 0 ]; then
+			stat_fail
+		else
+			rm /var/run/nnrpd.pid
+			rm_daemon nnrpd
+			stat_done
+		fi
+	;;
+	restart)
+		$0 stop
+		sleep 1
+		$0 start
+	;;
+	*)
+		echo "usage: $0 {start|stop|restart}"
+esac
+exit 0

Copied: inn/repos/community-staging-x86_64/site.make.patch (from rev 90313, inn/trunk/site.make.patch)
===================================================================
--- community-staging-x86_64/site.make.patch	                        (rev 0)
+++ community-staging-x86_64/site.make.patch	2013-05-11 12:37:09 UTC (rev 90314)
@@ -0,0 +1,32 @@
+--- old/src/inn-2.4.5/site/Makefile 2008-06-29 19:56:57.000000000 +0200
++++ new/src/inn-2.4.5/site/Makefile 2008-10-09 19:27:59.613208825 +0200
+@@ -52,7 +52,6 @@
+ 
+ PATH_ACTIVE		= ${PATHDB}/active
+ PATH_ACTIVE_TIMES	= ${PATHDB}/active.times
+-PATH_HISTORY		= ${PATHDB}/history
+ PATH_NEWSGROUPS		= ${PATHDB}/newsgroups
+ 
+ ##  Scripts from above, plus site-specific config files.
+@@ -98,7 +97,7 @@
+ ALL_INSTALLED	= $(MOST_INSTALLED) $(REST_INSTALLED)
+ 
+ SPECIAL		= $D$(PATH_ACTIVE) $D$(PATH_ACTIVE_TIMES) \
+-		$D$(PATH_NEWSGROUPS) $D$(PATH_HISTORY)
++		$D$(PATH_NEWSGROUPS)
+ 
+ ##  Get new versions of everything from samples directory.
+ all:		$(ALL) config
+@@ -143,12 +142,6 @@
+ 	chown $(RUNASUSER) $@
+ 	chgrp $(RUNASGROUP) $@
+ 	chmod $(FILEMODE) $@
+-$D$(PATH_HISTORY):
+-	touch $@
+-	chown $(RUNASUSER) $@
+-	chgrp $(RUNASGROUP) $@
+-	chmod $(FILEMODE) $@
+-	test -z "$D" && $(PATHBIN)/makedbz -i -o
+ 
+ bootstrap:
+ 



More information about the arch-commits mailing list